> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--response-center/queries/lookup-cve-severity.md).

# lookupCveSeverity

Enrich a manually added CVE with scoring metadata and affected package indicators.

### Examples

{% tabs %}
{% tab title="GraphQL" %}

```graphql
query LookupCveSeverity($cve: String!) {
  lookupCveSeverity(cve: $cve) {
    cve
    severity
    cvssScore
    indicators {
      osvAffectedVersions
      osvAffectedRanges {
        type
        events {
          introduced
          fixed
          last_affected
          limit
        }
      }
      kind
      value
      versionRange
      fixedVersions
      remediationStatus
      remediations {
        action
        versions
        source
        vendor
        product
        packageName
        collectionUrl
        versionType
        affectedRange
      }
      isCompromised
      isCompromisedBasis
      infectsOnInstall
      ecosystem
      severity
      cvssScore
      cvssVersion
      cveIntelligence {
        exploitationStatus
        exploitationSource
        hasPublicExploit
        publicExploitLink
        firstReportedExploitationAt
        firstObservedExploitationAt
        kev {
          status
          checkedAt
          catalogFetchedAt
          catalogVersion
          dateReleased
          dateAdded
          dueDate
          requiredAction
          knownRansomwareCampaignUse
        }
        euKev {
          status
          checkedAt
          catalogFetchedAt
          source
          sourceDisplayName
          cve
          euvdId
          dateReported
          originSource
          exploitationTypes
          threatActors
          notes
        }
        articleEvidence {
          sourceUrl
          sourcePublishedAt
          analyzedAt
          analysisVersion
          articleTypes
          classificationConfidence
          claims {
            claimType
            reportingRelationship
            attributedSource
            explicitlyObservedAt
            evidenceExcerpt
            confidence
          }
        }
        vulnCheck {
          status
          dateAdded
          sourceUpdatedAt
          sensorObserved
        }
      }
      aiExploitSimulation {
        status
        catalogVersion
        catalogGeneratedAt
        coverage {
          language
          packageName
          logic
          conditions {
            ruleId
            condition
            missingEvidence
            negated
          }
          docs
        }
      }
    }
    packageScopeStatus
    aiExploitSimulation {
      status
      catalogVersion
      catalogGeneratedAt
      coverage {
        language
        packageName
        logic
        conditions {
          ruleId
          condition
          missingEvidence
          negated
        }
        docs
      }
    }
  }
}
```

#### Variables

This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.

```json
{
  "cve": "example"
}
```

{% endtab %}

{% tab title="cURL" %}

```shell
curl -X POST \
https://api.cloud.ox.security/api/apollo-gateway \
-H 'Content-Type: application/json' \
-H 'Authorization: YOUR_API_TOKEN' \
-d '{
 "query": "query LookupCveSeverity($cve: String!) { lookupCveSeverity(cve: $cve) { cve severity cvssScore indicators { osvAffectedVersions osvAffectedRanges { type events { introduced fixed last_affected limit } } kind value versionRange fixedVersions remediationStatus remediations { action versions source vendor product packageName collectionUrl versionType affectedRange } isCompromised isCompromisedBasis infectsOnInstall ecosystem severity cvssScore cvssVersion cveIntelligence { exploitationStatus exploitationSource hasPublicExploit publicExploitLink firstReportedExploitationAt firstObservedExploitationAt kev { status checkedAt catalogFetchedAt catalogVersion dateReleased dateAdded dueDate requiredAction knownRansomwareCampaignUse } euKev { status checkedAt catalogFetchedAt source sourceDisplayName cve euvdId dateReported originSource exploitationTypes threatActors notes } articleEvidence { sourceUrl sourcePublishedAt analyzedAt analysisVersion articleTypes classificationConfidence claims { claimType reportingRelationship attributedSource explicitlyObservedAt evidenceExcerpt confidence } } vulnCheck { status dateAdded sourceUpdatedAt sensorObserved } } aiExploitSimulation { status catalogVersion catalogGeneratedAt coverage { language packageName logic conditions { ruleId condition missingEvidence negated } docs } } } packageScopeStatus aiExploitSimulation { status catalogVersion catalogGeneratedAt coverage { language packageName logic conditions { ruleId condition missingEvidence negated } docs } } } }",
 "variables": {
    "cve": "example"
  }
}'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const query = 'query LookupCveSeverity($cve: String!) { lookupCveSeverity(cve: $cve) { cve severity cvssScore indicators { osvAffectedVersions osvAffectedRanges { type events { introduced fixed last_affected limit } } kind value versionRange fixedVersions remediationStatus remediations { action versions source vendor product packageName collectionUrl versionType affectedRange } isCompromised isCompromisedBasis infectsOnInstall ecosystem severity cvssScore cvssVersion cveIntelligence { exploitationStatus exploitationSource hasPublicExploit publicExploitLink firstReportedExploitationAt firstObservedExploitationAt kev { status checkedAt catalogFetchedAt catalogVersion dateReleased dateAdded dueDate requiredAction knownRansomwareCampaignUse } euKev { status checkedAt catalogFetchedAt source sourceDisplayName cve euvdId dateReported originSource exploitationTypes threatActors notes } articleEvidence { sourceUrl sourcePublishedAt analyzedAt analysisVersion articleTypes classificationConfidence claims { claimType reportingRelationship attributedSource explicitlyObservedAt evidenceExcerpt confidence } } vulnCheck { status dateAdded sourceUpdatedAt sensorObserved } } aiExploitSimulation { status catalogVersion catalogGeneratedAt coverage { language packageName logic conditions { ruleId condition missingEvidence negated } docs } } } packageScopeStatus aiExploitSimulation { status catalogVersion catalogGeneratedAt coverage { language packageName logic conditions { ruleId condition missingEvidence negated } docs } } } }';

fetch("https://api.cloud.ox.security/api/apollo-gateway", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  body: JSON.stringify({
    query: query,
    // This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    variables: {
      cve: "example"
    }
  })
})
.then(response => response.json())
.then(result => console.log(JSON.stringify(result, null, 2)))
.catch(error => console.error('Error:', error));
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

query = 'query LookupCveSeverity($cve: String!) { lookupCveSeverity(cve: $cve) { cve severity cvssScore indicators { osvAffectedVersions osvAffectedRanges { type events { introduced fixed last_affected limit } } kind value versionRange fixedVersions remediationStatus remediations { action versions source vendor product packageName collectionUrl versionType affectedRange } isCompromised isCompromisedBasis infectsOnInstall ecosystem severity cvssScore cvssVersion cveIntelligence { exploitationStatus exploitationSource hasPublicExploit publicExploitLink firstReportedExploitationAt firstObservedExploitationAt kev { status checkedAt catalogFetchedAt catalogVersion dateReleased dateAdded dueDate requiredAction knownRansomwareCampaignUse } euKev { status checkedAt catalogFetchedAt source sourceDisplayName cve euvdId dateReported originSource exploitationTypes threatActors notes } articleEvidence { sourceUrl sourcePublishedAt analyzedAt analysisVersion articleTypes classificationConfidence claims { claimType reportingRelationship attributedSource explicitlyObservedAt evidenceExcerpt confidence } } vulnCheck { status dateAdded sourceUpdatedAt sensorObserved } } aiExploitSimulation { status catalogVersion catalogGeneratedAt coverage { language packageName logic conditions { ruleId condition missingEvidence negated } docs } } } packageScopeStatus aiExploitSimulation { status catalogVersion catalogGeneratedAt coverage { language packageName logic conditions { ruleId condition missingEvidence negated } docs } } } }'

response = requests.post(
  "https://api.cloud.ox.security/api/apollo-gateway",
  headers={
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  json={
    "query": query,
    # This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    "variables": {
      "cve": "example"
    }
  }
)

if response.status_code == 200:
    result = response.json()
    print(result)
else:
    print(f"Error: {response.status_code}")
    print(response.text)
```

{% endtab %}
{% endtabs %}

### Arguments

You can use the following argument(s) to customize your `lookupCveSeverity` query.

| Argument                                                                    | Description | Supported fields |
| --------------------------------------------------------------------------- | ----------- | ---------------- |
| cve `String!` <mark style="color:red;background-color:red;">required</mark> |             |                  |

### Fields

Return type: [`CveSeverityInfo!`](/api-documentation/api-reference/api--response-center/types/objects/cve-severity-info.md)

You can use the following field(s) to specify what information your `lookupCveSeverity` query will return. Please note that some fields may have their own subfields.

| Field                                                                                                                                                                                           | Description                                                                                                                               | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| cve `String!`                                                                                                                                                                                   |                                                                                                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| severity [`IncidentSeverity`](/api-documentation/api-reference/api--response-center/types/enums/incident-severity.md)                                                                           |                                                                                                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| cvssScore `Float`                                                                                                                                                                               |                                                                                                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| indicators [`[ExtractedIndicator!]!`](/api-documentation/api-reference/api--response-center/types/objects/extracted-indicator.md)                                                               |                                                                                                                                           | <p>osvAffectedVersions <code>\[String!]</code><br>osvAffectedRanges <a href="/api-documentation/api-reference/api--response-center/types/objects/osv-affected-range.md"><code>\[OsvAffectedRange!]</code></a><br>kind <a href="/api-documentation/api-reference/api--response-center/types/enums/indicator-kind.md"><code>IndicatorKind!</code></a><br>value <code>String!</code><br>versionRange <code>String</code><br>fixedVersions <code>\[String!]!</code><br>remediationStatus <a href="/api-documentation/api-reference/api--response-center/types/enums/indicator-remediation-status.md"><code>IndicatorRemediationStatus!</code></a><br>remediations <a href="/api-documentation/api-reference/api--response-center/types/objects/extracted-remediation.md"><code>\[ExtractedRemediation!]!</code></a><br>isCompromised <code>Boolean</code><br>isCompromisedBasis <code>String</code><br>infectsOnInstall <code>Boolean</code><br>ecosystem <code>String</code><br>severity <a href="/api-documentation/api-reference/api--response-center/types/enums/incident-severity.md"><code>IncidentSeverity</code></a><br>cvssScore <code>Float</code><br>cvssVersion <code>String</code><br>cveIntelligence <a href="/api-documentation/api-reference/api--response-center/types/objects/cve-intelligence.md"><code>CveIntelligence</code></a><br>aiExploitSimulation <a href="https://gitlab.com/oxsecurity/ox-docs/docs/-/tree/main/api-documentation/api-reference/api--response-center/types/objects/ai-exploit-simulation.md"><code>AiExploitSimulation</code></a></p> |
| packageScopeStatus `String!`                                                                                                                                                                    | Indicates whether package-scope enrichment resolved affected packages, authoritatively found no affected packages, or could not complete. |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| aiExploitSimulation [`AiExploitSimulation`](https://gitlab.com/oxsecurity/ox-docs/docs/-/tree/main/api-documentation/api-reference/api--response-center/types/objects/ai-exploit-simulation.md) | Whether the CVE has an OX AI exploit simulation available, and what it checks.                                                            | <p>status <a href="https://gitlab.com/oxsecurity/ox-docs/docs/-/tree/main/api-documentation/api-reference/api--response-center/types/enums/ai-exploit-simulation-status.md"><code>AiExploitSimulationStatus!</code></a><br>catalogVersion <code>String</code><br>catalogGeneratedAt <code>DateTime</code><br>coverage <a href="https://gitlab.com/oxsecurity/ox-docs/docs/-/tree/main/api-documentation/api-reference/api--response-center/types/objects/ai-exploit-simulation-coverage.md"><code>\[AiExploitSimulationCoverage!]!</code></a></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ox.security/api-documentation/api-reference/api--response-center/queries/lookup-cve-severity.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
